Editar cliente
curl --request PUT \
--url https://api.finup.ar/api/clients/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dni": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"street": "<string>",
"street_number": "<string>",
"floor": "<string>",
"apartment": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>",
"phone": "<string>",
"alt_phone": "<string>",
"email": "[email protected]"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dni: '<string>',
first_name: '<string>',
last_name: '<string>',
street: '<string>',
street_number: '<string>',
floor: '<string>',
apartment: '<string>',
city: '<string>',
state: '<string>',
country: '<string>',
zip_code: '<string>',
phone: '<string>',
alt_phone: '<string>',
email: '[email protected]'
})
};
fetch('https://api.finup.ar/api/clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finup.ar/api/clients/{id}"
payload = {
"dni": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"street": "<string>",
"street_number": "<string>",
"floor": "<string>",
"apartment": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>",
"phone": "<string>",
"alt_phone": "<string>",
"email": "[email protected]"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"dni": "<string>",
"sex": "m",
"street": "<string>",
"street_number": "<string>",
"floor": "<string>",
"apartment": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>",
"phone": "<string>",
"alt_phone": "<string>",
"email": "[email protected]",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Clientes
Editar cliente
Actualiza los campos enviados (los omitidos no cambian).
PUT
https://api.finup.ar
/
api
/
clients
/
{id}
Editar cliente
curl --request PUT \
--url https://api.finup.ar/api/clients/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dni": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"street": "<string>",
"street_number": "<string>",
"floor": "<string>",
"apartment": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>",
"phone": "<string>",
"alt_phone": "<string>",
"email": "[email protected]"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dni: '<string>',
first_name: '<string>',
last_name: '<string>',
street: '<string>',
street_number: '<string>',
floor: '<string>',
apartment: '<string>',
city: '<string>',
state: '<string>',
country: '<string>',
zip_code: '<string>',
phone: '<string>',
alt_phone: '<string>',
email: '[email protected]'
})
};
fetch('https://api.finup.ar/api/clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finup.ar/api/clients/{id}"
payload = {
"dni": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"street": "<string>",
"street_number": "<string>",
"floor": "<string>",
"apartment": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>",
"phone": "<string>",
"alt_phone": "<string>",
"email": "[email protected]"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"dni": "<string>",
"sex": "m",
"street": "<string>",
"street_number": "<string>",
"floor": "<string>",
"apartment": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>",
"phone": "<string>",
"alt_phone": "<string>",
"email": "[email protected]",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
API key del negocio enviada como Authorization: Bearer <clave>. El alcance read solo permite métodos seguros (GET/HEAD/OPTIONS); full permite además escribir.
Path Parameters
ID del cliente.
Body
application/json
Obligatorio al crear.
Available options:
m, f, o Response
Cliente actualizado.
Available options:
m, f, o 